Installer (et faire fonctionner) PHPMyAdmin sur Ubuntu 16.04, 16.10 & 17.04

Posté le Vendredi 29 avril 2016 - 08:16
Dernière mise à jour le Lundi 18 septembre 2017 - 15:32
Ecran d'accueil phpmyadmin

Si vous souhaitez installer phpmyadmin sur Ubuntu, rien de plus simple ou presque, on peut parfois tomber sur des erreurs.

Note : à titre personnel je n'utilise quasiment plus PHP My Admin que je trouve trop lourd, mais adminer, qui est un simple fichier php et donc beaucoup plus léger que son grand frère.

Installation du paquet :

sudo apt-get install phpmyadmin

Attention petite subtilitée sur cet écran :

2016-04-29-080255-screenshot.png

Appuyez sur la barre d'espace de sorte à avoir "apache2" de sélectionné, comme ceci :

2016-04-29-080422-screenshot.png

Ensuite, avec la touche tabulation, déplacez-vous vers le bouton "ok" et faites "Entrée".

On vous demandera si vous souhaitez mettre un mot de passe sur la page d'accueil de phpmyadmin, mon côté parano vous dirait d'en mettre un.

Une fois l'installation terminée, ouvrez votre navigateur à l'adresse http://localhost/phpmyadmin.

Si jamais vous avez l'erreur suivante :

phpMyAdmin - Error

The mbstring extension is missing. Please check your PHP configuration.

phpmyadmin-erreur.png

Le module php-mbstring est manquant, installons-le... Ouvrez un terminal et lancez la commande :

sudo apt-get install php-mbstring

Puis relancez apache 2 :

sudo service apache2 restart

Si vous retournez sur http://localhost/phpmyadmin vous aurez peut-être une page blanche, si les erreurs php ne sont pas affichées sinon, vous aurez le message suivant :

Fatal error: require_once(): Failed opening required '/usr/share/php/php-gettext/gettext.inc' (include_path='.:/usr/share/php') in /usr/share/phpmyadmin/libraries/select_lang.lib.php on line 477

C'est donc cette fois l'extension php gettext qui est manquante, installation :

sudo apt-get install php-gettext

Puis relancez apache 2 (encore):

sudo service apache2 restart

Et cette fois, cela devrait être bon !

 

Comments

Posté le Vendredi 6 mai 2016 - 10:45

Devant installer une ancienne version de Prestashop sur Ubuntu 16.04 et n'étant pas un spécialiste de PHP, ton article m'a fait gagner un précieux temps ;) Merci beaucoup !

Posté le Samedi 25 juin 2016 - 19:38

Salut Xavier,

Merci pour tes tutos très clair.

L'avantage que tu as sur les autres, c'est que tu détailles aussi quand cela ne fonctionne pas. J'ai suivi bon nombre de tutoriels pour divers trucs, on test et vvvvlan... ca ne marche pas ! Et comment fait-on ? Tu te débrouille mon gars !!

Toi tu présentes et expliques le "ca marche pas", pas de problème "fais ça" et ca marche !

Cool, bravo, continue !

Jordan

Posté le Mercredi 24 août 2016 - 14:49

Merci, je bloquais devant un phpmyadmin en page blanche.
Continu comme ça

hacker

Posté le Jeudi 16 février 2017 - 10:06

au fond du coeur je vous dit merci je suis amateur en webmaster vous devrier comprendre que je suis un promeneur dans les tutos et les cours publiers sur le net comme openclassrom, le site du zero et bien d'autre encore, mais franchement aussi claire comme vous, j'ai pas encore rencontrer.
et pour vous deranger d'avantage j'aimerai savoir comment creer son site web avec le langage php sous ubuntu sachant que je ne suis pas nul en ca sous windows et que j'ai deja les connaissance html css.
merci: hacker,

Jalal ELB

Posté le Mercredi 22 février 2017 - 10:07

Un très grand merci pour cet article super pertinent, très clair :)

Hans

Posté le Lundi 9 octobre 2017 - 12:38

Merci pour m'avoir débarrassé en deux lignes de cette épine du pied. A bientôt sûrement, car les oursins sont abondants pour un amateur peu éclairé !

Posté le Samedi 4 août 2018 - 08:58

Un grand merci pour vos explications claires et précises, grâce à cela, j’essaie de transformer de vieux portables sous vista ... win7 à Linux à partir de distributions crées en iso sur clef usb avec UNetbootin, ce qui fonctionne parfaitement.
Quand j’installe LAMP avec sudo apt-get install lamp-server^, certaines distributions comme tara ne demande plus de définir un mot de passe pour mysql et après avoir installé adminer, je le lance et il me demande de m’identifier !!!
Entre temps, J’ai bien installé une base de données avec sudo mysql puis mysql> puisqu’il me dit Ok
Et là, que j’essaye root sans rien au mot de passe ou avec celui de l’utilisateur de l’ordi, avec le nom de l’ordi (que l’on voit avec whoami ) et son mot de passe, avec admin admin ... rien !
Avec PHP, il faut appeler sa base de données avec mysqli_connect(´127.0.0.1´,´root’,´´,´mabasedonnee’) c’est ainsi avec EasyPhp, etbien sûr rien ne marche avec mes programmes en PHP.
J’ai essayé de donner un mot de passe à mysql avec des ordres divers et variés trouvés sur le web mais rien de concluant !!!
Si vous avez une idée, merci d’avance

Posté le Samedi 4 août 2018 - 13:03

Que je vous dise également, j’ai installé phpmyadmin, tout s’est bien passé, je lui ai dit avec la barre espace de cocher apache2 et avec l’autre, je suis allé à ok. J’ai mis un mot de passe au bon moment et ...
SURPRISE : avec 127.0.0.1/phpmyadmin , il me demande de m’identifier ... j’essaie root et mon mot de passe, j’essaie et j’essaie quand ... je mets phpmyadmin puis mon code ... ça MARCHE, je suis content mais je déchante aussitôt quand je comprends que je ne suis pas dans mes bases de mysql !!!!
Il y a à gauche la base phpmyadmin avec ses tables à lui et nulle part ma base ni mes tables ... À croire qu’il me fait la tête ce truc !
Bizarre, comme c’est bizarre ... j’espère que vous pourrez m’aider dans cette situation plus que bizarre. À bientôt

Posté le Lundi 6 août 2018 - 18:46

Si j’installe LAMP sur sylvia (version 18.3 de Linux MINT) tout se passe à merveille avec la demande d’un mot de passe à l’installation de mysql.
Avec tara (donc version 19) on ne nous demande pas ce mot de passe et cela bloque l’utilisation de sa base de données avec nos programmes en PHP !!!
Il y aura certainement un correctif ou des explications ...
Au plaisir ...

Ajouter un commentaire

Ne sera pas publié

HTML restreint

  • Balises HTML autorisées : <a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>
  • Les lignes et les paragraphes vont à la ligne automatiquement.
  • Les adresses de pages web et les adresses courriel se transforment en liens automatiquement.
CAPTCHA
Désolé, pour ça, mais c'est le seul moyen pour éviter le spam...